Method: advertisers.adGroups.bulkEditAssignedTargetingOptions

Bulk edits targeting options for multiple ad groups.

The same set of delete and create requests will be applied to all specified ad groups. Specifically, the operation will delete the assigned targeting options provided in BulkEditAdGroupAssignedTargetingOptionsRequest.delete_requests from each ad group, and then create the assigned targeting options provided in BulkEditAdGroupAssignedTargetingOptionsRequest.create_requests.

This method is only supported for Demand Gen ad groups.

HTTP request

POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups:bulkEditAssignedTargetingOptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser the ad groups belong to.

Request body

The request body contains data with the following structure:

JSON representation
{
  "adGroupIds": [
    string
  ],
  "deleteRequests": [
    {
      object (DeleteAssignedTargetingOptionsRequest)
    }
  ],
  "createRequests": [
    {
      object (CreateAssignedTargetingOptionsRequest)
    }
  ]
}
Fields
adGroupIds[]

string (int64 format)

Required. The IDs of the ad groups the assigned targeting options will belong to. A maximum of 25 ad group IDs can be specified.

deleteRequests[]

object (DeleteAssignedTargetingOptionsRequest)

Optional. The assigned targeting options to delete in batch, specified as a list of DeleteAssignedTargetingOptionsRequest.

Supported targeting types:

  • TARGETING_TYPE_AGE_RANGE
  • TARGETING_TYPE_APP
  • TARGETING_TYPE_APP_CATEGORY
  • TARGETING_TYPE_AUDIENCE_GROUP
  • TARGETING_TYPE_CATEGORY
  • TARGETING_TYPE_GENDER
  • TARGETING_TYPE_GEO_REGION
  • TARGETING_TYPE_HOUSEHOLD_INCOME
  • TARGETING_TYPE_KEYWORD
  • TARGETING_TYPE_LANGUAGE
  • TARGETING_TYPE_PARENTAL_STATUS
  • TARGETING_TYPE_URL
  • TARGETING_TYPE_YOUTUBE_CHANNEL
  • TARGETING_TYPE_YOUTUBE_VIDEO
createRequests[]

object (CreateAssignedTargetingOptionsRequest)

Optional. The assigned targeting options to create in batch, specified as a list of CreateAssignedTargetingOptionRequest.

Supported targeting types:

  • TARGETING_TYPE_AGE_RANGE
  • TARGETING_TYPE_APP
  • TARGETING_TYPE_APP_CATEGORY
  • TARGETING_TYPE_AUDIENCE_GROUP
  • TARGETING_TYPE_CATEGORY
  • TARGETING_TYPE_GENDER
  • TARGETING_TYPE_GEO_REGION
  • TARGETING_TYPE_HOUSEHOLD_INCOME
  • TARGETING_TYPE_KEYWORD
  • TARGETING_TYPE_LANGUAGE
  • TARGETING_TYPE_PARENTAL_STATUS
  • TARGETING_TYPE_URL
  • TARGETING_TYPE_YOUTUBE_CHANNEL
  • TARGETING_TYPE_YOUTUBE_VIDEO

Response body

Response message for adGroups.bulkEditAssignedTargetingOptions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "updatedAdGroupIds": [
    string
  ],
  "failedAdGroupIds": [
    string
  ],
  "errors": [
    {
      object (Status)
    }
  ]
}
Fields
updatedAdGroupIds[]

string (int64 format)

Output only. The IDs of the ad groups which were successfully updated.

failedAdGroupIds[]

string (int64 format)

Output only. The IDs of the ad groups which failed to update.

errors[]

object (Status)

Output only. The error information for each ad group that failed to update.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.